<?php
	
	if(!defined('SYS_ROOT')){exit('No direct file access allowed!');}
	
	/**
	* Xtron PHP Framework
	* A MVC style framework for building web applications
	* By: Jason Alan Delaney (http://www.xtroncms.com)
	* PHP version 5+
	*/
	
	/**
	* This file is used for setting which files to load automatically
	* during XPF initialization.
	*/
	
	/**
	* System libraries 
	* Example: array('database', 'xml', 'mail');
	*
	* Must be array()
	*/
	$autoload['library'] = array();
	
	/**
	* Models to be loaded automatically and made 
	* accessible by all application controllers.
	* to load a model with a database connection add 
	* :db to the end of the name like this:
	* 
	* 'model_name:db'
	*
	* Must be array()
	*/
	$autoload['models'] = array();
	
	/**
	* Addons can be used in any application controller.
	*
	* Supply only addon name, exclude '.php' and '.addon'
	* Example: $autoload['addons'] = array('hello_world');
	*
	* Must be array()
	*/
	$autoload['addons'] = array();
	
	
	
?>