<?php
	if(!defined('SYS_ROOT')){exit('No direct file access allowed!');}
	
	/**
	* PopcornPHP Framework
	* A MVC style framework for building web applications
	* By: Jason Delaney (http://www.popcornphp.com)
	* PHP version 5+
	*/
	
	$db = array();
	
	/**
	* Database connection settings
	*/
	$db['username']		= 'root';
	$db['password']		= '';
	$db['host']			= 'localhost';
	$db['name']			= '';
	$db['port']			= '';//only used for redis databases (in 0.6b)
	
	$db['charset']		= 'utf8';
	
	/**
	* Database driver file to use
	* Supported: mysql, redis, postgre
	*/
	$db['driver']		= 'mysql';
	
	/**
	* Database collation (for postgre and mysql)
	* Default: ut8_general_ci
	*/
	$db['collation']	= 'utf8_general_ci';
	
	/**
	* Use persistant connections?
	* Default: false
	*/
	$db['pconnect']		= false;
	
	/**
	* Show database connection errors 
	* Default: false
	*/
	$db['debug']		= false;
	
?>