<?php
	
	if(!defined('SYS_ROOT')){exit('No direct file access allowed!');}
	
	/**
	* PopcornPHP Framework
	* A MVC style framework for building web applications
	* By: Jason Delaney (http://www.popcornphp.com)
	* PHP version 5+
	*/
	
	/**
	* This is a simple Hello World demonstration addon.
	*
	* Load it in your controller like this:
	* Addon located at: system/addons/hellow_world.addon.php
	*
	* $this->load->addon('hello_world');
 	*
	* Calling any function from an addon is as simple as writing function_name(); (in this case hello_world())
	*
	* Extra:
	* - You can create classes in an addons also, they just need to be called in your controller.
	* - Access to a database and the Fetcher class can be gained by getting the controller instance
	*   like this: 
	*	$xpf =& controller_instance();
	*	$xpf->load->database();
	*	in your function.
	* - It's a good idea to check if a function exists before its defined
	*   because it's possible that a function with the same name has
	*   been loaded somewhere else or the same function was already loaded.
	*/
	
	
	if(!function_exists('hello_world')){
		function hello_world(){
		
			echo 'Hello World!';
			
		}
	}
	
?>