<?php
	
	if(!defined('SYS_ROOT')){exit('No direct file access allowed!');}
	
	/**
	* PopcornPHP
	* A MVC style framework for building web applications
	* By: Jason Delaney (http://www.popcornphp.com)
	* PHP version 5+
	*
	* Base controller class
	*/
	
	class Controller{
		
		private static $inst;
		
		function __construct(){
			self::$inst =& $this;
			$this->_base();
		}
		
		public static function &controller_instance(){
			return self::$inst;
		}
		
		/*
		* Load all base libraries into the Controller object
		*/
		private function _base(){

			$libs = array(
				'config' 	=> 'Config',
				'uri' 		=> 'URI',
				'router' 	=> 'Router',
				'display' 	=> 'Display',
				'load' 		=> 'Fetcher'
			);
			
			foreach($libs as $name => $val){
				$this->$name = load_class($val);
			}

			$this->load->xpf_autoloader();
		
		}
		
		
	}
	
	/*
	* Get static instance of the controller object
	*/
	function &controller_instance(){
		return Controller::controller_instance();
	}
	
?>