<?php

	if(!defined('SYS_ROOT')){exit('No direct file access allowed!');}

	/**
	* PopcornPHP Framework
	* A MVC style framework for building web applications
	* By: Jason Alan Delaney (http://www.popcornphp.com)
	* PHP version 5+
	*
	* Event logger class
	*
	*/
	
	class Logger {
		
		var $enable = false;//Logging enabled?
		
		function __construct(){
			$config =& load_config();
			
			if($config['debug_log']){
				$this->enable = true;
			}
		}
		
		//Log an error message 
		function message($message){
			//Logs disabled.
			if($this->enable == false){
				return false;
			}
			
			$message = date('m/d/Y h:i:s') . '# > ' . $message . "\r\n";
			
			$file = SYS_ROOT . 'log' . DS . 'debug.txt';
			$fh = fopen($file, 'a+');
			fwrite($fh,$message);
			fclose($fh);
			
		}
		
		
	}