<?php
	
	if(!defined('SYS_ROOT')){exit('No direct file access allowed!');}
	
	/**
	* PopcornPHP
	* A MVC style framework for building web applications
	* By: Jason Delaney (http://www.popcornphp.com)
	* PHP version 5+
	*/
	
	
	class Model {
		
		function __construct(){
			$this->_get_libs();
		}
		
		/**
		* Get all loaded references to objects
		* so we can use them in our models
		* Also called in Fetcher lib
		*/
		public function _get_libs(){
			
			$xpf =& controller_instance();
			
			foreach(array_keys(get_object_vars($xpf)) as $var ){
				//Make sure we don't assign a var to Model itself
				if(!isset($this->$var) && $var != ucfirst(get_class($this))){
					
					$this->$var = null;//Set the key first
					$this->$var = $xpf->$var;
					
				}
			}
			
		}
		
		
	}
	
?>