<?php
	
	if(!defined('SYS_ROOT')){exit('No direct file access allowed!');}
	
	/**
	* Xtron PHP Framework
	* A MVC style framework for building web applications
	* By: Jason Alan Delaney (http://www.xtroncms.com)
	* PHP version 5+
	*/
	
	/**
	* Class to create, read, and handle XML files and data.
	*/
	
	class Xml {
		
		
		var $dom;
		var $xmlElements;//For storing data from xml file
		
		
		/**
		* Reads XML into array
		*/
		function read($file, $element = '', $ext = 'xml'){
			//Check for valid file ext.
			if(!strpos($file, '.' . $ext)){
				return false;
			}
			
			if(file_exists($file)){
			
				$this->dom = simplexml_load_file($file);
				
			}elseif(file_exists(SYS_ROOT . basename($file))){
				
				$this->dom = simplexml_load_file(SYS_ROOT . basename($file));
				
			}else{
				//No XML file found
				minor_error('XML file "' . $file . '" not found.');
				return false;
			}
			
			if(strtolower($element) == 'name'){
				
				return $this->dom->getName();
				
			}
			
			foreach($this->dom->children() as $child){
				
				$name = $child->getName();
				$this->xmlElements[$name] = $child;
				
			}
			
			
			if($element == ''){
			
				return $this->xmlElements;
				
			}elseif(is_array($this->dom->$element)){
			
				return $this->dom->$element;
				
			}else{
				
				return (isset($this->xmlElements[$element]))? $this->xmlElements[$element] : '';
				
			}
			

			
		}
		
		/**
		* Creates XML file
		*/
		function write(){
			
		}
		
		/**
		* Convert XML characters to entity characters
		*/
		function chars_to_entity($string){
			
		}
		
	}
	
?>