<?php
	
	/**
	* Xtron PHP Framework
	* A MVC style framework for building web applications
	* By: Jason Alan Delaney (http://www.xtroncms.com)
	* PHP version 5+
	*/	
	
	/*****************************
	* USER DEFINED VARIABLES
	*****************************/
	
	//Application root folder name
	$app_folder		= 'app';
	//XPF system folder
	$sys_folder		= 'framework';
	
	/****************************/
	
	
	/*****************************
	* GLOBAL APP CONSTANTS
	******************************/

	//Directory seperator '/'
	define('DS', DIRECTORY_SEPARATOR);
	//Application file include prefix (can use to change base dir. of application)
	define('APP_ROOT', realpath(dirname(__FILE__)) . DS . $app_folder . DS);
	//System file root include path
	define('SYS_ROOT', realpath(dirname(__FILE__)) . DS . $sys_folder . DS);

	define('SELF', pathinfo(__FILE__, PATHINFO_BASENAME));
	//Application foler name
	define('APP_FOLDER', $app_folder);
	
	//Include paths array, when including a file, look in these directories
	$paths = array(
		APP_ROOT,
		SYS_ROOT,
		SYS_ROOT . 'libs' . DS,
		get_include_path()
	);

	//set file include path
	set_include_path(implode(PATH_SEPARATOR, $paths));

	require(SYS_ROOT . 'XPF' . DS . 'init.php');
?>